This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254456 - /etc/logrotate.d/openvas-manager from openvas-manager-6.0.3-3.fc21.x86_64 has error in postrotate script that gives "kill: not enough arguments" log message
/etc/logrotate.d/openvas-manager from openvas-manager-6.0.3-3.fc21.x86_64 has...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openvas-manager (Show other bugs)
21
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Michal Ambroz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 04:05 EDT by major
Modified: 2015-10-31 22:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: openvas-manager-6.0.5-1.fc21 openvas-manager-6.0.5-1.fc22 openvas-manager-6.0.5-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 02:53:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description major 2015-08-18 04:05:15 EDT
/etc/logrotate.d/openvas-manager from openvas-manager-6.0.3-3.fc21.x86_64
 has the following postrotate script:

/bin/kill -HUP `pidof openvasmd`


This script produces the following erroneous log message when openvasmd is not running because the pidof command produces no output for /bin/kill to use:

kill: not enough arguments
error: error running non-shared postrotate script for /var/log/openvas/openvasmd.log of '/var/log/openvas/openvasmd.log '


The postrotate script should probably be something like the following:

/usr/bin/killall -HUP openvasmd > /dev/null 2>&1 || true
Comment 1 Fedora Update System 2015-08-23 13:41:45 EDT
openvas-gsa-6.0.5-1.fc21 openvas-manager-6.0.5-1.fc21 has been submitted as an update to Fedora 21. https://bugzilla.redhat.com/show_bug.cgi?id=1254456
Comment 2 Fedora Update System 2015-08-23 13:42:11 EDT
openvas-gsa-6.0.5-1.fc23 openvas-manager-6.0.5-1.fc23 openvas-scanner-5.0.4-6.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1254456
Comment 3 Fedora Update System 2015-08-23 13:42:22 EDT
openvas-gsa-6.0.5-1.fc22 openvas-manager-6.0.5-1.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1254456
Comment 4 Michal Ambroz 2015-08-23 13:47:44 EDT
Thanks for spotting.
Pushed to rawhide and 23,22,21 with the bump to new version.
Comment 5 Fedora Update System 2015-08-24 17:54:50 EDT
openvas-gsa-6.0.5-1.fc22, openvas-manager-6.0.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openvas-manager openvas-gsa'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14023
Comment 6 Fedora Update System 2015-08-24 17:58:09 EDT
openvas-gsa-6.0.5-1.fc23, openvas-manager-6.0.5-1.fc23, openvas-scanner-5.0.4-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openvas-scanner openvas-manager openvas-gsa'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14022
Comment 7 Fedora Update System 2015-08-24 18:22:36 EDT
openvas-gsa-6.0.5-1.fc21, openvas-manager-6.0.5-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openvas-manager openvas-gsa'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14021
Comment 8 Fedora Update System 2015-10-13 02:53:39 EDT
openvas-gsa-6.0.5-1.fc21, openvas-manager-6.0.5-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-13 13:03:44 EDT
openvas-gsa-6.0.5-1.fc22, openvas-manager-6.0.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-31 22:49:44 EDT
openvas-gsa-6.0.5-1.fc23, openvas-manager-6.0.5-1.fc23, openvas-scanner-5.0.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.